EDIT - feature request #5050

feature request # 3904 (Closed): EuroMed: Implement filtering rules for distributions

revise the subAreaPreference rule for filtering Distributions
06/30/2015 10:33 AM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdmlib Estimated time: 16:00 hours
Target version: Release 5.21

Severity: critical

Description

The subAreaPreference rule for filtering Distributions is implemented in the DescriptionUtility.filterDistributions()

Sub area preference rule
The rule as currently implemented:

"If there is an area with a direct sub area and both areas have the same computed status only the information on the sub area should
be reported, whereas the super area should be ignored.”

This rule has a restriction which is no longer valid:

"NOTE: this rule only applies to non computed areas, since the second rule is applied first!. TODO this is no longer valid since the
second rule has been removed_" the so called second rule was: "In computed distributions, distributions in sub areas are preferred
over those for parent areas if they have the same status"

Questions and Facts

* The subAreaPreference rule must only affect the maps and never must remove any Area from textual distribution
information. It is originally only implemented in attachment:"#3904:FillHelsinkiOccurrence.bas" which had sole purpose of
preparing the table to be sent to Helsinki for creating the maps. TODO: make subAreaPreference rule independent from other
filters and execute it exclusively for maps. DONE [r24597|r24598]

e The subAreaPreference rule must be applied to all Distributions, to computed and edited. This can bee clearly seen in
attachment:"#3904:FillHelsinkiOccurrence.bas" - UPDATE: the subAreaPreference was never limited to only computed

Distributions, this was only confused in the documentation and comments. TODO: disentangle documentation and clean up old
code fragments DONE r24597

Originally requested in
e 1. #2625 Data aggregation functionalities for E+M (TransmissionEngine))*
in Ticket description:
When generating maps from the accumulated distribution information some special cases have to be handled: .... If there is an area
with a sub area and both areas have the same calculated status only the subarea status should be shown in the map, whereas the
super area should be ignored.
and secondly in a follow up ticket:
e 2. #3904 EuroMed: Implement filtering rules for Distributions**
[#3904#note-2]:
e Cz Former Czechoslovakia soll nur dann ausgegeben werden, wenn es fir keines der Teilareale (Cs Czech Republic oder Sk
Slovakia) eine Angabe gibt;

¢ Ju Former Jugoslavia soll nur dann ausgegeben werden, wenn es flr keines der Teilareale (BH, Cg, Ct, Mk, SI, Sr) eine
Angabe gibt ;
e |J Israel-Jordan soll nur dann ausgegeben werden, wenn es flr keines der Teilareale (Ir, Jo) eine Angabe gibt;
¢ LS Lebanon-Syria soll nur dann ausgegeben werden, wenn es fir keines der Teilareale (Le, Sy) eine Angabe gibt;

UPDATE: At least above requirement for Ju conflicts with the other rules, see [#4408#note-6]

Issues that exist with this rule
A couple of issues exist which are related to this rule:
e [#3907#note-26] the rule causes removal of named areas which should occur in the condensed distribution

e #4409 (filtering rules for Distributions: some named areas with sub areas are missing in distribution)
e #4408 (Distribution filter rule 2 not working in all cases)

Related issues:

Related to EDIT - feature request #6452: Deduplicate equal subareas like TDWG... New
Related to EDIT - bug #8297: Fix condensed distribution string for E+M Closed
Related to EDIT - task #8671: Distribution in E+M (BM) on different levels Rejected
Related to EDIT - bug #8670: Unwanted distribution aggregation/display on 2 I... Closed
Related to EDIT - bug #9143: Distribution data sources are missing if multipl... Closed
Related to EDIT - bug #7107: "Omit level" (TDWG Level2) in distribution hiera... Discussed
Related to EDIT - feature request #9502: Implement subarea preference rule an... Resolved
Related to EDIT - bug #8310: Issues to solve in E+M shapefile Closed
History

#1 - 06/30/2015 10:50 AM - Andreas Kohlbecker

- Status changed from New to In Progress

#2 - 06/30/2015 04:09 PM - Andreas Kohlbecker
- Status changed from In Progress to Resolved

- Assignee changed from Andreas Kohlbecker to Andreas Miiller

fixing all issues mentioned in this ticket:
e [r24598 applying subAreaPreference rule exclusively for maps|* r24597] subAreaPreference Rule can be run completely separately

#3 - 06/30/2015 10:44 PM - Andreas Miiller

- Category changed from architecture to cdmlib

#4 - 03/01/2017 05:56 PM - Andreas Miiller
- Related to feature request #6452: Deduplicate equal subareas like TDWG level 4 -00 areas added

#6 - 02/14/2018 03:39 PM - Andreas Kohlbecker

- Description updated

#9 - 05/09/2018 06:34 PM - Andreas Miiller

- Status changed from Resolved to In Progress
- % Done changed from 0 to 40

- Estimated time set to 16:00 h

#10 - 05/25/2018 11:44 AM - Andreas Miuiller

- Target version changed from Release 3.7 to Release 5.1

#11 - 06/27/2018 02:29 PM - Andreas Miiller

- Target version changed from Release 5.1 to Release 5.2

#12 - 08/17/2018 04:05 PM - Andreas Miiller

- Target version changed from Release 5.2 to Release 5.3
#13 - 09/06/2018 10:10 AM - Andreas Miiller

- Target version changed from Release 5.3 to Release 5.4

#14 - 10/23/2018 11:31 AM - Andreas Miiller

- Target version changed from Release 5.4 to Release 5.5

#15 - 02/14/2019 10:33 PM - Andreas Miiller

- Target version changed from Release 5.5 to Release 5.6

#16 - 02/19/2019 05:51 PM - Andreas Miiller

- Target version changed from Release 5.6 to Release 5.7

#17 - 05/03/2019 02:57 PM - Andreas Miiller

- Target version changed from Release 5.7 to Release 5.8

#18 - 05/23/2019 11:54 AM - Andreas Miiller
- Related to bug #8297: Fix condensed distribution string for E+M added

#19 - 07/19/2019 03:34 PM - Andreas Miiller

- Target version changed from Release 5.8 to Release 5.10

#20 - 09/18/2019 01:33 PM - Andreas Miiller

- Target version changed from Release 5.10 to Release 5.11

#21 - 11/04/2019 12:30 PM - Andreas Miiller

- Private changed from Yes to No

#22 - 11/06/2019 01:12 PM - Andreas Miiller

- Target version changed from Release 5.11 to Release 5.12

#23 - 11/19/2019 11:14 PM - Andreas Miiller
- Related to task #8671: Distribution in E+M (BM) on different levels added

#24 - 11/20/2019 01:49 AM - Andreas Miiller
- Related to bug #8670: Unwanted distribution aggregation/display on 2 levels added

#25 - 01/16/2020 12:53 PM - Andreas Miiller

- Target version changed from Release 5.12 to Release 5.13

#26 - 03/09/2020 03:24 PM - Andreas Miiller

- Target version changed from Release 5.13 to Release 5.14

#27 - 04/08/2020 03:42 PM - Andreas Miiller

- Target version changed from Release 5.14 to Release 5.15

#28 - 06/23/2020 01:47 PM - Andreas Miiller

- Target version changed from Release 5.15 to Release 5.18

#29 - 12/03/2020 05:59 PM - Andreas Miiller

- Target version changed from Release 5.18 to Release 5.19

#30 - 01/27/2021 04:01 PM - Andreas Miiller

- Target version changed from Release 5.19 to Release 5.21

#31 - 02/06/2021 08:56 PM - Andreas Miiller

- Related to bug #9143: Distribution data sources are missing if multiple distributions exist added
#32 - 03/01/2021 09:13 PM - Andreas Miiller

- Related to bug #7107: "Omit level” (TDWG Level2) in distribution hierarchy should not supress distributions source reference added

#33 - 03/02/2021 07:37 PM - Andreas Miiller

- Related to feature request #9502: Implement subarea preference rule and fallback areas for areas with complex hierarchy added

#34 - 03/02/2021 07:42 PM - Andreas Miiller
- Status changed from In Progress to Closed

- Assignee changed from Andreas Miller to Andreas Kohlbecker

Generally this is fixed. The subarea preference is implemented for map creation. Some open issues with fallback areas are handled in #9502.

Shapefile issues were solved in #8310.

#35 - 03/02/2021 07:43 PM - Andreas Miiller
- % Done changed from 40 to 100

#36 - 03/02/2021 07:43 PM - Andreas Miiller
- Related to bug #8310: Issues to solve in E+M shapefile added
